gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Gdk.AppLaunchContext

Contents

- Types
- Constructors
- Methods

Description

Synopsis

- data AppLaunchContext
- class GObjectClass o => AppLaunchContextClass o
- castToAppLaunchContext :: GObjectClass obj => obj -> AppLaunchContext
- gTypeAppLaunchContext :: GType
- toAppLaunchContext :: AppLaunchContextClass o => o -> AppLaunchContext
- appLaunchContextNew :: IO AppLaunchContext
- appLaunchContextSetDisplay :: AppLaunchContext -> Display -> IO ()
- appLaunchContextSetScreen :: AppLaunchContext -> Screen -> IO ()
- appLaunchContextSetDesktop :: AppLaunchContext -> Int -> IO ()
- appLaunchContextSetTimestamp :: AppLaunchContext -> TimeStamp -> IO ()
- appLaunchContextSetIconName :: GlibString string => AppLaunchContext -> string -> IO ()
- appLaunchContextSetIcon :: IconClass icon => AppLaunchContext -> icon -> IO ()

# Types

data AppLaunchContext Source #

#### Instances

Instances details

Eq AppLaunchContext Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: AppLaunchContext -> AppLaunchContext -> Bool Source # (/=) :: AppLaunchContext -> AppLaunchContext -> Bool Source #
Ord AppLaunchContext Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: AppLaunchContext -> AppLaunchContext -> Ordering Source #

(<) :: AppLaunchContext -> AppLaunchContext -> Bool Source #

(<=) :: AppLaunchContext -> AppLaunchContext -> Bool Source #

(>) :: AppLaunchContext -> AppLaunchContext -> Bool Source #

(>=) :: AppLaunchContext -> AppLaunchContext -> Bool Source #

max :: AppLaunchContext -> AppLaunchContext -> AppLaunchContext Source #

min :: AppLaunchContext -> AppLaunchContext -> AppLaunchContext Source #

GObjectClass AppLaunchContext Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: AppLaunchContext -> GObject Source # unsafeCastGObject :: GObject -> AppLaunchContext Source #
AppLaunchContextClass AppLaunchContext Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class GObjectClass o => AppLaunchContextClass o Source #

#### Instances

Instances details

AppLaunchContextClass AppLaunchContext Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToAppLaunchContext :: GObjectClass obj => obj -> AppLaunchContext Source #

gTypeAppLaunchContext :: GType Source #

toAppLaunchContext :: AppLaunchContextClass o => o -> AppLaunchContext Source #

# Constructors

appLaunchContextNew :: IO AppLaunchContext Source #

Creates a new `AppLaunchContext`.

# Methods

appLaunchContextSetDisplay :: AppLaunchContext -> Display -> IO () Source #

Sets the display on which applications will be launched when using this context. See also `appLaunchContextSetScreen`.

appLaunchContextSetScreen :: AppLaunchContext -> Screen -> IO () Source #

Sets the screen on which applications will be launched when using this context. See also `appLaunchContextSetDisplay`.

If both screen and display are set, the screen takes priority. If neither screen or display are set, the default screen and display are used.

appLaunchContextSetDesktop :: AppLaunchContext -> Int -> IO () Source #

Sets the workspace on which applications will be launched when using this context when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints.

When the workspace is not specified or desktop is set to -1, it is up to the window manager to pick one, typically it will be the current workspace.

appLaunchContextSetTimestamp :: AppLaunchContext -> TimeStamp -> IO () Source #

Sets the timestamp of context. The timestamp should ideally be taken from the event that triggered the launch.

Window managers can use this information to avoid moving the focus to the newly launched application when the user is busy typing in another window. This is also known as 'focus stealing prevention'.

appLaunchContextSetIconName :: GlibString string => AppLaunchContext -> string -> IO () Source #

Sets the icon for applications that are launched with this context. The `iconName` will be interpreted in the same way as the Icon field in desktop files. See also `appLaunchContextSetIcon`.

If both icon and `iconName` are set, the `iconName` takes priority. If neither icon or `iconName` is set, the icon is taken from either the file that is passed to launched application or from the GAppInfo for the launched application itself.

appLaunchContextSetIcon :: IconClass icon => AppLaunchContext -> icon -> IO () Source #

Sets the icon for applications that are launched with this context.

Window Managers can use this information when displaying startup notification.